httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Justin Erenkrantz <jus...@erenkrantz.com>
Subject Re: RFC: drop support for OpenSSL < 1.0 in trunk/2.3?
Date Thu, 03 Jun 2010 06:15:02 GMT
On Wed, Jun 2, 2010 at 4:23 PM, Joe Orton <jorton@redhat.com> wrote:
> Thanks very much for all the responses.  There is strong consensus for
> retaining support for some varieties of 0.9.8 and possibly some 0.9.7.
>
> A new RFC, then, for trunk/2.3 and beyond:
>
> - support and build warning-free with OpenSSL >= 0.9.8
> - support and build with OpenSSL >= 0.9.7a, albeit with (harmless)
>  compiler warnings about argument const-ness all over the shop
> - drop support for OpenSSL < 0.9.7a
> - drop support for non-OpenSSL/derivatives of OpenSSL
>
> (I have tried this out and it seems perfectly feasible.)

+1.  -- justin

Mime
View raw message